Subject: Re: I just pulled and built 'next'...

From: Theodore Tso <[email-masked]>
Date: Tue, 9 Jan 2007 08:54:01 -0500

On Mon, Jan 08, 2007 at 10:21:24PM -0500, Shawn O. Pearce wrote:
> So what about doing Junio's suggestion of going by topology and
> coming up with the possible set of tags (v1.5.0-rc0 and v1.4.4.4
> right now), and if more than one is found compute the number of
> commits between each tag and the requested revision, and take the
> tag that has a smallest number of commits?

Ah, thanks for showing the example using git-rev-list.  I was assuming
"topology" based on the distance as shown by gitk, and that's quite
different from what git-rev-list shows.  Agreed, that hueristic makes
a lot of sense.

						- Ted